## org.firebirdsql.gds.impl.jni
Class NativeGDSImpl.DbAttachInfo

    java.lang.Object
      org.firebirdsql.gds.impl.jni.NativeGDSImpl.DbAttachInfo

Enclosing class:
  NativeGDSImpl

    protected static class NativeGDSImpl.DbAttachInfo

extends Object

Constructor Summary
`NativeGDSImpl.DbAttachInfo(String connectInfo)`
`NativeGDSImpl.DbAttachInfo(String server, Integer port, String fileName)`

Method Summary
`String` `getConnectionString()`
`String` `getFileName()`
`int` `getPort()`
`String` `getServer()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NativeGDSImpl.DbAttachInfo

    public NativeGDSImpl.DbAttachInfo(String connectInfo)
                               throws GDSException

Throws:
  `GDSException`

### NativeGDSImpl.DbAttachInfo

    public NativeGDSImpl.DbAttachInfo(String server,
                                      Integer port,
                                      String fileName)
                               throws GDSException

Throws:
  `GDSException`

Method Detail

### getConnectionString

    public String getConnectionString()

### getServer

    public String getServer()

### getPort

    public int getPort()

### getFileName

    public String getFileName()

Copyright © 2001-2010. All Rights Reserved.